New Stefinus 3D Guns Mod 1.10.2/1.9.4/1.9 Minecraft

Advertisement

New Stefinus 3D Guns 1.10.2/1.9.4/1.9 for Minecraft is a spectacular guns and ammunition mod for Minecraft. Gone are the day when player dream of having a 3D Gun in Minecraft, pointing their aim on the enemy and shooting it with perfection. The era has begum in Minecraft which acs like all other first person shooting games like counter-strike and call of duty. With this mod you can experience the same taste as you did in those other shooting game and guns resembles the same quality as well.

New Stefinus 3D Guns 5

The modification is more than 70 percent complete with the latest version release prior to Minecraft forge. It will introduce some of the popular guns such as P90 (SMG), the MP7 (smg), the Galil (Assault Rifle), ScarH (Assault Rifle), the M14 DMR (semi-auto sniper), the FRF2 (bolt action sniper rifle), the Glock 17 (pistol), the Minimi (LMG), M60 (LMG), the M1014 (semi automatic shotgun) and the Remington M47 (shotgun). Adding to opponents misery this mod adds a silencer to stop the sound of the firing, red dot to focus more and holographic view for sniper zoom.

New Stefinus 3D Guns Mod for Minecraft 1.10.2/1.9.4/1.9:

For 1.10.2 and 1.9.4 – Available after release

For 1.7.10 (Direct) – New+Stefinus+3D+Mod.jar (File Size: 2.21 MB)

For 1.7.10 (adfly) – New+Stefinus+3D+Mod.jar (File Size: 2.21 MB)

For 1.7.10 (dropbox) – New+Stefinus+3D+Mod.jar (File Size: 2.21 MB)

New Stefinus 3D Guns 2

New Stefinus 3D Guns

We keep close watch on the content but its really hard to check every mod one by one. We will require some assistance from the fans as well to point out the malicious content in them. If you will inform us, then we will make sure that content won’t appear in the future.

Source: here

Advertisement

3 thoughts on “New Stefinus 3D Guns Mod 1.10.2/1.9.4/1.9 Minecraft

  • December 21, 2015 at 7:19 am
    Permalink

    Please i really need this mod in 1.8 version please i really need it

    Reply
    • February 10, 2016 at 9:57 pm
      Permalink

      I need it on 1.8.9 😛

      Reply
  • February 21, 2016 at 5:02 pm
    Permalink

    Yep! 1.8.x version of this mod is needed!! Please update it as fast as you could. But the way, I love this mod! Good work!

    Reply

Leave a Reply

Your email address will not be published. Required fields are marked *